Bug 1252688 - Key Repeat speed in gnome settings is ignored when launched on wayland
Key Repeat speed in gnome settings is ignored when launched on wayland
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wayland (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 01:50 EDT by somethingsome2000+redhat
Modified: 2016-07-19 13:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:28:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description somethingsome2000+redhat 2015-08-12 01:50:59 EDT
Description of problem:
Logging in to Gnome on Wayland, my key repeat settings are ignored.

Version-Release number of selected component (if applicable):
Fedora 22
Gnome 3.16
libinput 20-21

How reproducible:
Always

Steps to Reproduce:
1. Log in to a Gnome wayland session
2. Change Repeat Key settings in Gnome settings
3. Test settings

Actual results:
The settings are ignored.

Expected results:
Settings take effect.

Additional info:
Comment 1 mchalupa 2015-08-13 08:31:14 EDT
This is Xwayland bug. Xwayland does not implement key-repating at all
Comment 2 mchalupa 2015-08-17 05:41:24 EDT
sent a patch to devel list to fix it
http://lists.x.org/archives/xorg-devel/2015-August/047169.html
Comment 3 somethingsome2000+redhat 2015-08-19 08:00:42 EDT
Thanks, I think the fix made it into Fedora 22. Key repeat settings are working for gnome-terminal. Unfortunately, it isn't working for some apps, like xterm.  I've started using xterm over gnome-terminal because of a separate wayland+gnome issue:

https://bugzilla.redhat.com/show_bug.cgi?id=1242191
Comment 4 mchalupa 2015-09-07 04:42:19 EDT
(In reply to somethingsome2000+redhat from comment #3)
> Thanks, I think the fix made it into Fedora 22. Key repeat settings are
> working for gnome-terminal. Unfortunately, it isn't working for some apps,
> like xterm.  I've started using xterm over gnome-terminal because of a
> separate wayland+gnome issue:

Nope, the patch is still hanging on list, that's why it's not working with xterm. Gnome-terminal just started using pure wayland instead of Xwayland I think.
Comment 5 mchalupa 2015-09-17 10:17:25 EDT
(In reply to mchalupa from comment #2)
> sent a patch to devel list to fix it
> http://lists.x.org/archives/xorg-devel/2015-August/047169.html

The patch got merged upstream
Comment 6 Fedora End Of Life 2016-07-19 13:28:53 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.